The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Traffic Statistics for Internal Web Certificate Matches

Prev Next

This URL is used to retrieve traffic statistics for internal web certificate matches for a Sensor.

Resource URL

GET /sensor/{sensorId}/trafficstats/sslinternalwebcertmatches

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

unMatchedCertificates

Count of unmatched certificates

Number

matchedCertificates

List of matched certificates

Array

Details of object in matchedCertificates:

Field Name

Description

Data Type

certificateName

Certificate name

String

flows

Number of flows

Number

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/trafficstats/sslinternalwebcertmatches

Response

{
  "unMatchedCertificates": 0,
  "matchedCertificates": [
		{
			“certificateName": ”: “test”,
			“flows”:  10
		},
		{
			“certificateName”: “test2",
			“flows”:  2		
  }
]
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

Invalid Sensor: When the device id given is not valid